Package org.apache.wiki.plugin

# Class ListLocksPlugin

java.lang.Object
org.apache.wiki.plugin.ListLocksPlugin

All Implemented Interfaces:
  `Plugin`

public class ListLocksPlugin extends Object implements Plugin
This is a plugin for the administrator: It allows him to see in a single glance who is editing what.

Parameters :

NONE

Since:
  2.0.22.

## Field Summary

### Fields inherited from interface org.apache.wiki.api.plugin.Plugin

`CORE_PLUGINS_RESOURCEBUNDLE`

## Constructor Summary

Constructors
Constructor
Description
`ListLocksPlugin()`

## Method Summary

Modifier and Type
Method
Description
`String`
`execute(Context context, Map<String,String> params)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ListLocksPlugin

public ListLocksPlugin()

## Method Details

### execute

public String execute(Context context, Map<String,String> params) throws PluginException

Specified by:
  `execute` in interface `Plugin`
Throws:
  `PluginException`